Field NationDeveloper Platform
Field NationDeveloper Platform
Overview

Work Orders

Resources

List Provider Attributes GETCreate Provider Attributes POSTUpdate Provider Attributes PUTDelete Provider Attribute DELETEUpdate Provider Attribute PUT
PeopleTalent pools

Update Provider Attributes


Bulk update multiple attributes for a specific provider in a talent pool.

PUT
/api/rest/v2/talent-pools/{talent_pool_id}/providers/{provider_id}/attributes

Authorization

access_token
access_token<token>

OAuth 2.0 Access Token

In: query

Path Parameters

talent_pool_id*integer

Talent Pool ID

provider_id*integer

Provider ID

Request Body

application/json

Updated attribute values

attributes*array<>

Array of attributes to update by ID

curl -X PUT "https://api-sandbox.fndev.net/api/rest/v2/talent-pools/0/providers/0/attributes" \  -H "Content-Type: application/json" \  -d '{    "attributes": [      {        "talent_pool_provider_attribute_id": "attr-123",        "value": "updated-value"      }    ]  }'
{
  "attributes": []
}
{
  "status": 500,
  "message": "Operation successful."
}
{
  "status": 500,
  "message": "Operation successful."
}

Response Body

application/json

application/json

application/json

Last updated on

Create Provider Attributes POST

Previous Page

Delete Provider Attribute DELETE

Next Page

curl -X PUT "https://api-sandbox.fndev.net/api/rest/v2/talent-pools/0/providers/0/attributes" \
  -H "Content-Type: application/json" \
  -d '{
    "attributes": [
      {
        "talent_pool_provider_attribute_id": "attr-123",
        "value": "updated-value"
      }
    ]
  }'